package com.persagy.dmp.starter.alarm.communication.websocket;

import javax.websocket.Session;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @description: webSocket缓存，存储通信session
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/11/30 7:07 下午
 * @version: V1.0
 */
public class AlarmWebSocketCache {
    /**
     * 所有在线的客户端
     */
    private static Map<String, Session> clients = new ConcurrentHashMap<>();

    /**
     * 获取连接中的所有客户端
     *
     * @return
     */
    public static Set<Session> getClients() {
    	return new HashSet<>(clients.values());
    }

    /**
     * 增加客户端
     *
     * @param session
     */
    public static void addClient(Session session) {
        clients.put(session.getId(), session);
    }

    /**
     * 删除客户端
     * @param sessionId 客户端标识
     */
    public static void removeClient(String sessionId) {
        clients.remove(sessionId);
    }

}
